summaryrefslogtreecommitdiff
path: root/dev-python/cheetah3
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/cheetah3
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/cheetah3')
-rw-r--r--dev-python/cheetah3/Manifest1
-rw-r--r--dev-python/cheetah3/cheetah3-3.4.0.ebuild44
-rw-r--r--dev-python/cheetah3/metadata.xml13
3 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/cheetah3/Manifest b/dev-python/cheetah3/Manifest
new file mode 100644
index 000000000000..82b5851c6325
--- /dev/null
+++ b/dev-python/cheetah3/Manifest
@@ -0,0 +1 @@
+DIST cheetah3-3.4.0.gh.tar.gz 318357 BLAKE2B 5bb67484c4907f0a831eaa79d755ba252abc3ed70a14a7f87620cc8748f7226cc112b66cc1ce19759d5aa6653e8ce2ad0acd4604a0ca2a92c249e095ae6522ba SHA512 1984165dc001c5982f39bdee9ef1364ebb794a028bfebcbead6af9834abe6506f253b0bc18919c9b95b55130dd71232fac3830aed8c19219852a56f007ad45e7
diff --git a/dev-python/cheetah3/cheetah3-3.4.0.ebuild b/dev-python/cheetah3/cheetah3-3.4.0.ebuild
new file mode 100644
index 000000000000..16215d81cc87
--- /dev/null
+++ b/dev-python/cheetah3/cheetah3-3.4.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python-powered template engine and code generator"
+HOMEPAGE="
+ https://cheetahtemplate.org/
+ https://github.com/CheetahTemplate3/Cheetah3/
+ https://pypi.org/project/Cheetah3/
+"
+SRC_URI="
+ https://github.com/CheetahTemplate3/Cheetah3/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc64 ~riscv x86"
+
+RDEPEND="
+ dev-python/markdown[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+DOCS=( ANNOUNCE.rst README.rst )
+
+python_test() {
+ # the package can't handle TMPDIR with hyphens
+ # https://github.com/CheetahTemplate3/cheetah3/issues/53
+ local -x TMPDIR=/tmp
+
+ "${EPYTHON}" Cheetah/Tests/Test.py || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cheetah3/metadata.xml b/dev-python/cheetah3/metadata.xml
new file mode 100644
index 000000000000..f68cca77ef5b
--- /dev/null
+++ b/dev-python/cheetah3/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription>Cheetah is a Python-powered template engine and code generator. It can be used
+as a standalone utility or it can be combined with other tools. Web developers
+are its principle user group, but it has many potential uses and is also being
+used to generate C++ game code, Java, SQL, form emails, and even Python code.</longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>